Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iProperties

    java.lang.Object
      |
      +--s2iProperties

public class s2iProperties
extends java.lang.Object

Field Summary
`private static java.io.OutputStream` | `outStr`
`private static java.util.Properties` | `prop`

Constructor Summary
`s2iProperties()`

Method Summary
`private static java.util.Properties` | `getDefaultProperties(java.util.Properties moreDefaults)`
`static java.lang.String` | `getEditorCommand()`
`static void` | `loadDefaultProperties(boolean clear)`
`static void` | `loadProperties(boolean clear)`
`static void` | `loadProperties(boolean clear, java.lang.String fileName)`
`static void` | `main(java.lang.String[] arg)`
`static void` | `saveProperties()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### prop

    private static java.util.Properties prop

### outStr

    private static java.io.OutputStream outStr

Constructor Detail

### s2iProperties

    public s2iProperties()

Method Detail

### loadProperties

    public static void loadProperties(boolean clear)

### loadProperties

    public static void loadProperties(boolean clear,
                                      java.lang.String fileName)

### loadDefaultProperties

    public static void loadDefaultProperties(boolean clear)

### saveProperties

    public static void saveProperties()

### getDefaultProperties

    private static java.util.Properties getDefaultProperties(java.util.Properties moreDefaults)

### getEditorCommand

    public static java.lang.String getEditorCommand()

### main

    public static void main(java.lang.String[] arg)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD